spell(1)

NAME
spell - GNU Spell, a clone of Unix `spell'

SYNOPSIS
spell [OPTION]... [FILE]...

DESCRIPTION
GNU Spell is a spelling checking program which prints each misspelled word on a line of its own. It is designed as a clone of the standard Unix `spell' program, and implemented as a wrapper for Ispell.

Spell accepts as its arguments a list of files to read from. Within that list, the magical file name `-' causes Spell to read from standard input. In addition, when called with no file name arguments, Spell assumes that it should process standard input.

Spell is most useful when used in conjunction with other programs, because its output is minimalistic. Human users are usually more comfortable with verbose output.

OPTIONS

-I, --ispell-version
    Print Ispell's version.

-V, --version
    Print the version number.

-b, --british
    Use the British dictionary.

-d, --dictionary=FILE
    Use FILE to look up words.

-h, --help
    Print a summary of the options.

-i, --ispell=PROGRAM
    Calls PROGRAM as Ispell.

-D, --ispell-dictionary=DICTIONARY
    Use the named DICTIONARY to look up words.

-l, --all-chains
    Ignored; for compatibility.

-n, --number
    Print line numbers before lines.

-o, --print-file-name
    Print file names before lines.

-s, --stop-list=FILE
    Ignored; for compatibility.

-v, --verbose
    Print words not literally found.

-x, --print-stems
    Ignored; for compatibility.

EXAMPLES
In the first example below, the words printed on standard output are all the (purposely) misspelled words in 'sample' file. Notice the options '--print-file-name' and '--number' They are responsible for the prefix you see on each line.

    $ spell --print-file-name --number sample
    sample:1: Tihs
    sample:1: si
    sample:1: fo
    sample:1: Splel
    sample:1: worsd
    sample:1: spellled
    sample:1: worng
    sample:2: fi
    sample:2: cna
    sample:2: dael
    sample:2: fiel
    sample:2: Foo
    sample:2: bza
    sample:2: baz

In the following example, spell will analyze a text from single a command line.

    $echo "Thiz is an examply" | spell
    Thiz
    examply

After install `ibrazilian' (# apt install ibrazilian, on Debian systems) is possible to use `brazilian' as dictionary:

    $ echo "Eu sou brasileiro e carioka" | spell -D brazilian
    carioka

To use personal dictionary called mydict.txt:

    $ echo "A little test" | spell -d mydict.txt

FILES

~/.ispell_default
    Considering Spell as a wrapper for Ispell, is possible to make a personal and complementary dictionary using this file. Insert a word per line.

SEE ALSO
ispell(1), aspell(1)

AUTHOR
Spell was written by Thomas Morgan <tmorgan@pobox.com> for the Free Software Foundation, Inc.

The first version of this manual page was written by Dominik Kubla <dominik@debian.org>.

The current version was fully rewritten by Joao Eriberto Mota Filho <eriberto@debian.org>.

Since the first version, this manual page was written for the Debian project (but may be used by others).